#include "VL53L0X.h"
#include "TinyWireM.h"

VL53L0X sensor;

void setup() {
  TinyWireM.begin();
  sensor.init();
  sensor.setTimeout(500);
  
//   increase timing budget to 200 ms
  sensor.setMeasurementTimingBudget(200000);

//  sensor.startContinuous();
  pinMode(4, OUTPUT);
}

void loop() {
  uint16_t value = sensor.readRangeSingleMillimeters();

  if (value > 1000) {
    digitalWrite(4, HIGH);
  }

  else {
    digitalWrite(4, LOW);
  }
}
